/*
 * Copyright (C) 2013-2016 CERN (www.cern.ch)
 * Author: Tomasz Wlostowski <tomasz.wlostowski@cern.ch>
 * Author: Federico Vaga <federico.vaga@cern.ch>
 *
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */

#include <stdio.h>
#include <stdint.h>
#include <string.h>

#include "mockturtle-rt-common.h"

/**
 * It sends a string over the serial interface
 * @param[in] p string to send
 * @return number of sent characters
 */
int puts(const char *p)
{
	char c;
	int i = 0;

	while ((c = *(p++))) {
		lr_writel(c, WRN_CPU_LR_REG_DBG_CHR);
		++i;
	}

	/* Provide a string terminator */
	lr_writel('\0', WRN_CPU_LR_REG_DBG_CHR);

	return i;
}
